mbed TLS v2.23.0: crypto_compat.h File Reference

mbed TLS v2.23.0

Macros | Typedefs | Functions
crypto_compat.h File Reference

PSA cryptography module: Backward compatibility aliases. More...

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros
#define | MBEDTLS_PSA_DEPRECATED
#define | MBEDTLS_DEPRECATED_CONSTANT(type, value) ( (mbedtls_deprecated_##type) ( value ) )
#define | PSA_ERROR_UNKNOWN_ERROR MBEDTLS_DEPRECATED_CONSTANT( psa_status_t, PSA_ERROR_GENERIC_ERROR )
#define | PSA_ERROR_OCCUPIED_SLOT MBEDTLS_DEPRECATED_CONSTANT( psa_status_t, PSA_ERROR_ALREADY_EXISTS )
#define | PSA_ERROR_EMPTY_SLOT MBEDTLS_DEPRECATED_CONSTANT( psa_status_t, PSA_ERROR_DOES_NOT_EXIST )
#define | PSA_ERROR_INSUFFICIENT_CAPACITY MBEDTLS_DEPRECATED_CONSTANT( psa_status_t, PSA_ERROR_INSUFFICIENT_DATA )
#define | PSA_ERROR_TAMPERING_DETECTED MBEDTLS_DEPRECATED_CONSTANT( psa_status_t, PSA_ERROR_CORRUPTION_DETECTED )
#define | PSA_KEY_USAGE_SIGN MBEDTLS_DEPRECATED_CONSTANT( psa_key_usage_t, PSA_KEY_USAGE_SIGN_HASH )
#define | PSA_KEY_USAGE_VERIFY MBEDTLS_DEPRECATED_CONSTANT( psa_key_usage_t, PSA_KEY_USAGE_VERIFY_HASH )
#define | PSA_ASYMMETRIC_SIGNATURE_MAX_SIZE MBEDTLS_DEPRECATED_CONSTANT( size_t, PSA_SIGNATURE_MAX_SIZE )
#define | PSA_ASYMMETRIC_SIGN_OUTPUT_SIZE(key_type, key_bits, alg) MBEDTLS_DEPRECATED_CONSTANT( size_t, PSA_SIGN_OUTPUT_SIZE( key_type, key_bits, alg ) )
#define | PSA_ECC_CURVE_SECP160K1 MBEDTLS_DEPRECATED_CONSTANT( psa_ecc_curve_t, PSA_ECC_CURVE_SECP_K1 )
#define | PSA_ECC_CURVE_SECP192K1 MBEDTLS_DEPRECATED_CONSTANT( psa_ecc_curve_t, PSA_ECC_CURVE_SECP_K1 )
#define | PSA_ECC_CURVE_SECP224K1 MBEDTLS_DEPRECATED_CONSTANT( psa_ecc_curve_t, PSA_ECC_CURVE_SECP_K1 )
#define | PSA_ECC_CURVE_SECP256K1 MBEDTLS_DEPRECATED_CONSTANT( psa_ecc_curve_t, PSA_ECC_CURVE_SECP_K1 )
#define | PSA_ECC_CURVE_SECP160R1 MBEDTLS_DEPRECATED_CONSTANT( psa_ecc_curve_t, PSA_ECC_CURVE_SECP_R1 )
#define | PSA_ECC_CURVE_SECP192R1 MBEDTLS_DEPRECATED_CONSTANT( psa_ecc_curve_t, PSA_ECC_CURVE_SECP_R1 )
#define | PSA_ECC_CURVE_SECP224R1 MBEDTLS_DEPRECATED_CONSTANT( psa_ecc_curve_t, PSA_ECC_CURVE_SECP_R1 )
#define | PSA_ECC_CURVE_SECP256R1 MBEDTLS_DEPRECATED_CONSTANT( psa_ecc_curve_t, PSA_ECC_CURVE_SECP_R1 )
#define | PSA_ECC_CURVE_SECP384R1 MBEDTLS_DEPRECATED_CONSTANT( psa_ecc_curve_t, PSA_ECC_CURVE_SECP_R1 )
#define | PSA_ECC_CURVE_SECP521R1 MBEDTLS_DEPRECATED_CONSTANT( psa_ecc_curve_t, PSA_ECC_CURVE_SECP_R1 )
#define | PSA_ECC_CURVE_SECP160R2 MBEDTLS_DEPRECATED_CONSTANT( psa_ecc_curve_t, PSA_ECC_CURVE_SECP_R2 )
#define | PSA_ECC_CURVE_SECT163K1 MBEDTLS_DEPRECATED_CONSTANT( psa_ecc_curve_t, PSA_ECC_CURVE_SECT_K1 )
#define | PSA_ECC_CURVE_SECT233K1 MBEDTLS_DEPRECATED_CONSTANT( psa_ecc_curve_t, PSA_ECC_CURVE_SECT_K1 )
#define | PSA_ECC_CURVE_SECT239K1 MBEDTLS_DEPRECATED_CONSTANT( psa_ecc_curve_t, PSA_ECC_CURVE_SECT_K1 )
#define | PSA_ECC_CURVE_SECT283K1 MBEDTLS_DEPRECATED_CONSTANT( psa_ecc_curve_t, PSA_ECC_CURVE_SECT_K1 )
#define | PSA_ECC_CURVE_SECT409K1 MBEDTLS_DEPRECATED_CONSTANT( psa_ecc_curve_t, PSA_ECC_CURVE_SECT_K1 )
#define | PSA_ECC_CURVE_SECT571K1 MBEDTLS_DEPRECATED_CONSTANT( psa_ecc_curve_t, PSA_ECC_CURVE_SECT_K1 )
#define | PSA_ECC_CURVE_SECT163R1 MBEDTLS_DEPRECATED_CONSTANT( psa_ecc_curve_t, PSA_ECC_CURVE_SECT_R1 )
#define | PSA_ECC_CURVE_SECT193R1 MBEDTLS_DEPRECATED_CONSTANT( psa_ecc_curve_t, PSA_ECC_CURVE_SECT_R1 )
#define | PSA_ECC_CURVE_SECT233R1 MBEDTLS_DEPRECATED_CONSTANT( psa_ecc_curve_t, PSA_ECC_CURVE_SECT_R1 )
#define | PSA_ECC_CURVE_SECT283R1 MBEDTLS_DEPRECATED_CONSTANT( psa_ecc_curve_t, PSA_ECC_CURVE_SECT_R1 )
#define | PSA_ECC_CURVE_SECT409R1 MBEDTLS_DEPRECATED_CONSTANT( psa_ecc_curve_t, PSA_ECC_CURVE_SECT_R1 )
#define | PSA_ECC_CURVE_SECT571R1 MBEDTLS_DEPRECATED_CONSTANT( psa_ecc_curve_t, PSA_ECC_CURVE_SECT_R1 )
#define | PSA_ECC_CURVE_SECT163R2 MBEDTLS_DEPRECATED_CONSTANT( psa_ecc_curve_t, PSA_ECC_CURVE_SECT_R2 )
#define | PSA_ECC_CURVE_SECT193R2 MBEDTLS_DEPRECATED_CONSTANT( psa_ecc_curve_t, PSA_ECC_CURVE_SECT_R2 )
#define | PSA_ECC_CURVE_BRAINPOOL_P256R1 MBEDTLS_DEPRECATED_CONSTANT( psa_ecc_curve_t, PSA_ECC_CURVE_BRAINPOOL_P_R1 )
#define | PSA_ECC_CURVE_BRAINPOOL_P384R1 MBEDTLS_DEPRECATED_CONSTANT( psa_ecc_curve_t, PSA_ECC_CURVE_BRAINPOOL_P_R1 )
#define | PSA_ECC_CURVE_BRAINPOOL_P512R1 MBEDTLS_DEPRECATED_CONSTANT( psa_ecc_curve_t, PSA_ECC_CURVE_BRAINPOOL_P_R1 )
#define | PSA_ECC_CURVE_CURVE25519 MBEDTLS_DEPRECATED_CONSTANT( psa_ecc_curve_t, PSA_ECC_CURVE_MONTGOMERY )
#define | PSA_ECC_CURVE_CURVE448 MBEDTLS_DEPRECATED_CONSTANT( psa_ecc_curve_t, PSA_ECC_CURVE_MONTGOMERY )
#define | PSA_DH_GROUP_FFDHE2048 MBEDTLS_DEPRECATED_CONSTANT( psa_dh_group_t, PSA_DH_GROUP_RFC7919 )
#define | PSA_DH_GROUP_FFDHE3072 MBEDTLS_DEPRECATED_CONSTANT( psa_dh_group_t, PSA_DH_GROUP_RFC7919 )
#define | PSA_DH_GROUP_FFDHE4096 MBEDTLS_DEPRECATED_CONSTANT( psa_dh_group_t, PSA_DH_GROUP_RFC7919 )
#define | PSA_DH_GROUP_FFDHE6144 MBEDTLS_DEPRECATED_CONSTANT( psa_dh_group_t, PSA_DH_GROUP_RFC7919 )
#define | PSA_DH_GROUP_FFDHE8192 MBEDTLS_DEPRECATED_CONSTANT( psa_dh_group_t, PSA_DH_GROUP_RFC7919 )

## Typedefs
typedef MBEDTLS_PSA_DEPRECATED size_t | mbedtls_deprecated_size_t
typedef MBEDTLS_PSA_DEPRECATED psa_status_t | mbedtls_deprecated_psa_status_t
typedef MBEDTLS_PSA_DEPRECATED psa_key_usage_t | mbedtls_deprecated_psa_key_usage_t
typedef MBEDTLS_PSA_DEPRECATED psa_ecc_curve_t | mbedtls_deprecated_psa_ecc_curve_t
typedef MBEDTLS_PSA_DEPRECATED psa_dh_group_t | mbedtls_deprecated_psa_dh_group_t

## Functions
static MBEDTLS_PSA_DEPRECATED psa_status_t | psa_asymmetric_sign (psa_key_handle_t key, psa_algorithm_t alg, const uint8_t *hash, size_t hash_length, uint8_t *signature, size_t signature_size, size_t *signature_length)
static MBEDTLS_PSA_DEPRECATED psa_status_t | psa_asymmetric_verify (psa_key_handle_t key, psa_algorithm_t alg, const uint8_t *hash, size_t hash_length, const uint8_t *signature, size_t signature_length)

## Detailed Description

PSA cryptography module: Backward compatibility aliases.

This header declares alternative names for macro and functions. New application code should not use these names. These names may be removed in a future version of Mbed Crypto.

Note
  This file may not be included directly. Applications must include psa/crypto.h.

Definition in file crypto_compat.h.

## Macro Definition Documentation

## ◆ MBEDTLS_DEPRECATED_CONSTANT

#define MBEDTLS_DEPRECATED_CONSTANT | ( |  | type,
|  |  | value
| ) |  | ( (mbedtls_deprecated_##type) ( value ) )

Definition at line 57 of file crypto_compat.h.

## ◆ MBEDTLS_PSA_DEPRECATED

#define MBEDTLS_PSA_DEPRECATED

Definition at line 48 of file crypto_compat.h.

## ◆ PSA_ASYMMETRIC_SIGN_OUTPUT_SIZE

#define PSA_ASYMMETRIC_SIGN_OUTPUT_SIZE | ( |  | key_type,
|  |  | key_bits,
|  |  | alg
| ) |  | MBEDTLS_DEPRECATED_CONSTANT( size_t, PSA_SIGN_OUTPUT_SIZE( key_type, key_bits, alg ) )

Definition at line 87 of file crypto_compat.h.

## ◆ PSA_ASYMMETRIC_SIGNATURE_MAX_SIZE

#define PSA_ASYMMETRIC_SIGNATURE_MAX_SIZE MBEDTLS_DEPRECATED_CONSTANT( size_t, PSA_SIGNATURE_MAX_SIZE )

Definition at line 85 of file crypto_compat.h.

## ◆ PSA_DH_GROUP_FFDHE2048

#define PSA_DH_GROUP_FFDHE2048 MBEDTLS_DEPRECATED_CONSTANT( psa_dh_group_t, PSA_DH_GROUP_RFC7919 )

Definition at line 182 of file crypto_compat.h.

## ◆ PSA_DH_GROUP_FFDHE3072

#define PSA_DH_GROUP_FFDHE3072 MBEDTLS_DEPRECATED_CONSTANT( psa_dh_group_t, PSA_DH_GROUP_RFC7919 )

Definition at line 184 of file crypto_compat.h.

## ◆ PSA_DH_GROUP_FFDHE4096

#define PSA_DH_GROUP_FFDHE4096 MBEDTLS_DEPRECATED_CONSTANT( psa_dh_group_t, PSA_DH_GROUP_RFC7919 )

Definition at line 186 of file crypto_compat.h.

## ◆ PSA_DH_GROUP_FFDHE6144

#define PSA_DH_GROUP_FFDHE6144 MBEDTLS_DEPRECATED_CONSTANT( psa_dh_group_t, PSA_DH_GROUP_RFC7919 )

Definition at line 188 of file crypto_compat.h.

## ◆ PSA_DH_GROUP_FFDHE8192

#define PSA_DH_GROUP_FFDHE8192 MBEDTLS_DEPRECATED_CONSTANT( psa_dh_group_t, PSA_DH_GROUP_RFC7919 )

Definition at line 190 of file crypto_compat.h.

## ◆ PSA_ECC_CURVE_BRAINPOOL_P256R1

#define PSA_ECC_CURVE_BRAINPOOL_P256R1 MBEDTLS_DEPRECATED_CONSTANT( psa_ecc_curve_t, PSA_ECC_CURVE_BRAINPOOL_P_R1 )

Definition at line 171 of file crypto_compat.h.

## ◆ PSA_ECC_CURVE_BRAINPOOL_P384R1

#define PSA_ECC_CURVE_BRAINPOOL_P384R1 MBEDTLS_DEPRECATED_CONSTANT( psa_ecc_curve_t, PSA_ECC_CURVE_BRAINPOOL_P_R1 )

Definition at line 173 of file crypto_compat.h.

## ◆ PSA_ECC_CURVE_BRAINPOOL_P512R1

#define PSA_ECC_CURVE_BRAINPOOL_P512R1 MBEDTLS_DEPRECATED_CONSTANT( psa_ecc_curve_t, PSA_ECC_CURVE_BRAINPOOL_P_R1 )

Definition at line 175 of file crypto_compat.h.

## ◆ PSA_ECC_CURVE_CURVE25519

#define PSA_ECC_CURVE_CURVE25519 MBEDTLS_DEPRECATED_CONSTANT( psa_ecc_curve_t, PSA_ECC_CURVE_MONTGOMERY )

Definition at line 177 of file crypto_compat.h.

## ◆ PSA_ECC_CURVE_CURVE448

#define PSA_ECC_CURVE_CURVE448 MBEDTLS_DEPRECATED_CONSTANT( psa_ecc_curve_t, PSA_ECC_CURVE_MONTGOMERY )

Definition at line 179 of file crypto_compat.h.

## ◆ PSA_ECC_CURVE_SECP160K1

#define PSA_ECC_CURVE_SECP160K1 MBEDTLS_DEPRECATED_CONSTANT( psa_ecc_curve_t, PSA_ECC_CURVE_SECP_K1 )

Definition at line 121 of file crypto_compat.h.

## ◆ PSA_ECC_CURVE_SECP160R1

#define PSA_ECC_CURVE_SECP160R1 MBEDTLS_DEPRECATED_CONSTANT( psa_ecc_curve_t, PSA_ECC_CURVE_SECP_R1 )

Definition at line 129 of file crypto_compat.h.

## ◆ PSA_ECC_CURVE_SECP160R2

#define PSA_ECC_CURVE_SECP160R2 MBEDTLS_DEPRECATED_CONSTANT( psa_ecc_curve_t, PSA_ECC_CURVE_SECP_R2 )

Definition at line 141 of file crypto_compat.h.

## ◆ PSA_ECC_CURVE_SECP192K1

#define PSA_ECC_CURVE_SECP192K1 MBEDTLS_DEPRECATED_CONSTANT( psa_ecc_curve_t, PSA_ECC_CURVE_SECP_K1 )

Definition at line 123 of file crypto_compat.h.

## ◆ PSA_ECC_CURVE_SECP192R1

#define PSA_ECC_CURVE_SECP192R1 MBEDTLS_DEPRECATED_CONSTANT( psa_ecc_curve_t, PSA_ECC_CURVE_SECP_R1 )

Definition at line 131 of file crypto_compat.h.

## ◆ PSA_ECC_CURVE_SECP224K1

#define PSA_ECC_CURVE_SECP224K1 MBEDTLS_DEPRECATED_CONSTANT( psa_ecc_curve_t, PSA_ECC_CURVE_SECP_K1 )

Definition at line 125 of file crypto_compat.h.

## ◆ PSA_ECC_CURVE_SECP224R1

#define PSA_ECC_CURVE_SECP224R1 MBEDTLS_DEPRECATED_CONSTANT( psa_ecc_curve_t, PSA_ECC_CURVE_SECP_R1 )

Definition at line 133 of file crypto_compat.h.

## ◆ PSA_ECC_CURVE_SECP256K1

#define PSA_ECC_CURVE_SECP256K1 MBEDTLS_DEPRECATED_CONSTANT( psa_ecc_curve_t, PSA_ECC_CURVE_SECP_K1 )

Definition at line 127 of file crypto_compat.h.

## ◆ PSA_ECC_CURVE_SECP256R1

#define PSA_ECC_CURVE_SECP256R1 MBEDTLS_DEPRECATED_CONSTANT( psa_ecc_curve_t, PSA_ECC_CURVE_SECP_R1 )

Definition at line 135 of file crypto_compat.h.

## ◆ PSA_ECC_CURVE_SECP384R1

#define PSA_ECC_CURVE_SECP384R1 MBEDTLS_DEPRECATED_CONSTANT( psa_ecc_curve_t, PSA_ECC_CURVE_SECP_R1 )

Definition at line 137 of file crypto_compat.h.

## ◆ PSA_ECC_CURVE_SECP521R1

#define PSA_ECC_CURVE_SECP521R1 MBEDTLS_DEPRECATED_CONSTANT( psa_ecc_curve_t, PSA_ECC_CURVE_SECP_R1 )

Definition at line 139 of file crypto_compat.h.

## ◆ PSA_ECC_CURVE_SECT163K1

#define PSA_ECC_CURVE_SECT163K1 MBEDTLS_DEPRECATED_CONSTANT( psa_ecc_curve_t, PSA_ECC_CURVE_SECT_K1 )

Definition at line 143 of file crypto_compat.h.

## ◆ PSA_ECC_CURVE_SECT163R1

#define PSA_ECC_CURVE_SECT163R1 MBEDTLS_DEPRECATED_CONSTANT( psa_ecc_curve_t, PSA_ECC_CURVE_SECT_R1 )

Definition at line 155 of file crypto_compat.h.

## ◆ PSA_ECC_CURVE_SECT163R2

#define PSA_ECC_CURVE_SECT163R2 MBEDTLS_DEPRECATED_CONSTANT( psa_ecc_curve_t, PSA_ECC_CURVE_SECT_R2 )

Definition at line 167 of file crypto_compat.h.

## ◆ PSA_ECC_CURVE_SECT193R1

#define PSA_ECC_CURVE_SECT193R1 MBEDTLS_DEPRECATED_CONSTANT( psa_ecc_curve_t, PSA_ECC_CURVE_SECT_R1 )

Definition at line 157 of file crypto_compat.h.

## ◆ PSA_ECC_CURVE_SECT193R2

#define PSA_ECC_CURVE_SECT193R2 MBEDTLS_DEPRECATED_CONSTANT( psa_ecc_curve_t, PSA_ECC_CURVE_SECT_R2 )

Definition at line 169 of file crypto_compat.h.

## ◆ PSA_ECC_CURVE_SECT233K1

#define PSA_ECC_CURVE_SECT233K1 MBEDTLS_DEPRECATED_CONSTANT( psa_ecc_curve_t, PSA_ECC_CURVE_SECT_K1 )

Definition at line 145 of file crypto_compat.h.

## ◆ PSA_ECC_CURVE_SECT233R1

#define PSA_ECC_CURVE_SECT233R1 MBEDTLS_DEPRECATED_CONSTANT( psa_ecc_curve_t, PSA_ECC_CURVE_SECT_R1 )

Definition at line 159 of file crypto_compat.h.

## ◆ PSA_ECC_CURVE_SECT239K1

#define PSA_ECC_CURVE_SECT239K1 MBEDTLS_DEPRECATED_CONSTANT( psa_ecc_curve_t, PSA_ECC_CURVE_SECT_K1 )

Definition at line 147 of file crypto_compat.h.

## ◆ PSA_ECC_CURVE_SECT283K1

#define PSA_ECC_CURVE_SECT283K1 MBEDTLS_DEPRECATED_CONSTANT( psa_ecc_curve_t, PSA_ECC_CURVE_SECT_K1 )

Definition at line 149 of file crypto_compat.h.

## ◆ PSA_ECC_CURVE_SECT283R1

#define PSA_ECC_CURVE_SECT283R1 MBEDTLS_DEPRECATED_CONSTANT( psa_ecc_curve_t, PSA_ECC_CURVE_SECT_R1 )

Definition at line 161 of file crypto_compat.h.

## ◆ PSA_ECC_CURVE_SECT409K1

#define PSA_ECC_CURVE_SECT409K1 MBEDTLS_DEPRECATED_CONSTANT( psa_ecc_curve_t, PSA_ECC_CURVE_SECT_K1 )

Definition at line 151 of file crypto_compat.h.

## ◆ PSA_ECC_CURVE_SECT409R1

#define PSA_ECC_CURVE_SECT409R1 MBEDTLS_DEPRECATED_CONSTANT( psa_ecc_curve_t, PSA_ECC_CURVE_SECT_R1 )

Definition at line 163 of file crypto_compat.h.

## ◆ PSA_ECC_CURVE_SECT571K1

#define PSA_ECC_CURVE_SECT571K1 MBEDTLS_DEPRECATED_CONSTANT( psa_ecc_curve_t, PSA_ECC_CURVE_SECT_K1 )

Definition at line 153 of file crypto_compat.h.

## ◆ PSA_ECC_CURVE_SECT571R1

#define PSA_ECC_CURVE_SECT571R1 MBEDTLS_DEPRECATED_CONSTANT( psa_ecc_curve_t, PSA_ECC_CURVE_SECT_R1 )

Definition at line 165 of file crypto_compat.h.

## ◆ PSA_ERROR_EMPTY_SLOT

#define PSA_ERROR_EMPTY_SLOT MBEDTLS_DEPRECATED_CONSTANT( psa_status_t, PSA_ERROR_DOES_NOT_EXIST )

Definition at line 67 of file crypto_compat.h.

## ◆ PSA_ERROR_INSUFFICIENT_CAPACITY

#define PSA_ERROR_INSUFFICIENT_CAPACITY MBEDTLS_DEPRECATED_CONSTANT( psa_status_t, PSA_ERROR_INSUFFICIENT_DATA )

Definition at line 69 of file crypto_compat.h.

## ◆ PSA_ERROR_OCCUPIED_SLOT

#define PSA_ERROR_OCCUPIED_SLOT MBEDTLS_DEPRECATED_CONSTANT( psa_status_t, PSA_ERROR_ALREADY_EXISTS )

Definition at line 65 of file crypto_compat.h.

## ◆ PSA_ERROR_TAMPERING_DETECTED

#define PSA_ERROR_TAMPERING_DETECTED MBEDTLS_DEPRECATED_CONSTANT( psa_status_t, PSA_ERROR_CORRUPTION_DETECTED )

Definition at line 71 of file crypto_compat.h.

## ◆ PSA_ERROR_UNKNOWN_ERROR

#define PSA_ERROR_UNKNOWN_ERROR MBEDTLS_DEPRECATED_CONSTANT( psa_status_t, PSA_ERROR_GENERIC_ERROR )

Definition at line 63 of file crypto_compat.h.

## ◆ PSA_KEY_USAGE_SIGN

#define PSA_KEY_USAGE_SIGN MBEDTLS_DEPRECATED_CONSTANT( psa_key_usage_t, PSA_KEY_USAGE_SIGN_HASH )

Definition at line 77 of file crypto_compat.h.

## ◆ PSA_KEY_USAGE_VERIFY

#define PSA_KEY_USAGE_VERIFY MBEDTLS_DEPRECATED_CONSTANT( psa_key_usage_t, PSA_KEY_USAGE_VERIFY_HASH )

Definition at line 79 of file crypto_compat.h.

## Typedef Documentation

## ◆ mbedtls_deprecated_psa_dh_group_t

typedef MBEDTLS_PSA_DEPRECATED psa_dh_group_t mbedtls_deprecated_psa_dh_group_t

Definition at line 54 of file crypto_compat.h.

## ◆ mbedtls_deprecated_psa_ecc_curve_t

typedef MBEDTLS_PSA_DEPRECATED psa_ecc_curve_t mbedtls_deprecated_psa_ecc_curve_t

Definition at line 53 of file crypto_compat.h.

## ◆ mbedtls_deprecated_psa_key_usage_t

typedef MBEDTLS_PSA_DEPRECATED psa_key_usage_t mbedtls_deprecated_psa_key_usage_t

Definition at line 52 of file crypto_compat.h.

## ◆ mbedtls_deprecated_psa_status_t

typedef MBEDTLS_PSA_DEPRECATED psa_status_t mbedtls_deprecated_psa_status_t

Definition at line 51 of file crypto_compat.h.

## ◆ mbedtls_deprecated_size_t

typedef MBEDTLS_PSA_DEPRECATED size_t mbedtls_deprecated_size_t

Definition at line 50 of file crypto_compat.h.

## Function Documentation

## ◆ psa_asymmetric_sign()

static MBEDTLS_PSA_DEPRECATED psa_status_t psa_asymmetric_sign | ( | psa_key_handle_t | key,
|  | psa_algorithm_t | alg,
|  | const uint8_t * | hash,
|  | size_t | hash_length,
|  | uint8_t * | signature,
|  | size_t | signature_size,
|  | size_t * | signature_length
| ) |  |
| inlinestatic

Definition at line 92 of file crypto_compat.h.

References psa_sign_hash().

## ◆ psa_asymmetric_verify()

static MBEDTLS_PSA_DEPRECATED psa_status_t psa_asymmetric_verify | ( | psa_key_handle_t | key,
|  | psa_algorithm_t | alg,
|  | const uint8_t * | hash,
|  | size_t | hash_length,
|  | const uint8_t * | signature,
|  | size_t | signature_length
| ) |  |
| inlinestatic

Definition at line 103 of file crypto_compat.h.

References psa_verify_hash().